<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\Udalost;

use Spatie\Enum\Laravel\Enum;

/**
 * Class DruhUdalosti
 *
 * @method static self ZAKLADNE_SKOLENIE()
 * @method static self PRACOVNE_STRETNUTIE()
 * @method static self DOSKOLOVACIE_SKOLENIE()
 * @method static self SKUSKA_ODBORNEJ_SPOSOBILOSTI()
 * @method static self SKOLENIE_ADMINISTRATIVNYCH_PRACOVNIKOV()
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
final class DruhUdalosti extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'ZAKLADNE_SKOLENIE' => 'základné školenie',
            'PRACOVNE_STRETNUTIE' => 'pracovné stretnutie',
            'DOSKOLOVACIE_SKOLENIE' => 'doškoľovacie školenie',
            'SKUSKA_ODBORNEJ_SPOSOBILOSTI' => 'skúška odbornej spôsobilosti',
            'SKOLENIE_ADMINISTRATIVNYCH_PRACOVNIKOV' => 'školenie administratívnych pracovníkov',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'ZAKLADNE_SKOLENIE':
                return '#adbadd';
            case 'PRACOVNE_STRETNUTIE':
                return '#c0d1d8';
            case 'DOSKOLOVACIE_SKOLENIE':
                return '#efe1e6';
            case 'SKUSKA_ODBORNEJ_SPOSOBILOSTI':
                return '#a5a9f1';
            case 'SKOLENIE_ADMINISTRATIVNYCH_PRACOVNIKOV':
                return '#ffe959';
            default:
                return '#dfe7fd';
        }
    }
}
